.single-post #header {
  background-color: var(--color-primary);
}

.single-post .post {
  padding-top: 148px;
  padding-left: 64px; /* Adjust padding for larger screens */
  padding-right: 64px; /* Adjust padding for larger screens */
}

.single-nav-back-wrapper {
  margin-bottom: 24px;
}

.single-nav-back-wrapper a {
  color: var(--color-black);
  font-weight: 500;
  text-decoration: underline;
  text-underline-offset: 3px;
  text-decoration-thickness: 1.2px;
}

.entry-header .post-thumbnail img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.single-post .title-section,
.single-post .entry-content {
  color: var(--color-black);
}

.single-post .entry-content a {
  color: var(--color-primary);
}

.single-post .entry-content img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.single-post .entry-title {
  line-height: 1.2;
}

.single-post .entry-content h1,
.single-post .entry-content h2,
.single-post .entry-content h3 {
  line-height: 1.2;
}

.related-articles {
  padding-bottom: 56px;
}

.related-articles a {
  color: var(--color-black);
  text-decoration: none;
}

.related-articles .related-article-header {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  margin-top: 32px;
}

.related-articles .related-article-header a {
  color: var(--color-black);
  font-weight: 500;
  text-decoration: underline;
  text-underline-offset: 3px;
  text-decoration-thickness: 1.2px;
}

.related-post-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Four columns for very large screens */
  gap: 24px;
}

.related-post-grid .post-item {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.related-post-grid .post-item img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

/* XXL Screens (1800px and up) */
@media (min-width: 1800px) {
}

/* XL Screens (1600px-1799px) */
@media (min-width: 1600px) and (max-width: 1799px) {
}

/* Large Screens (1400px-1599px) */
@media (min-width: 1400px) and (max-width: 1599px) {
}

/* Medium-Large Screens (1200px-1399px) */
@media (min-width: 1200px) and (max-width: 1399px) {
}

/* Small-Medium Screens (max-width: 1199px) */
@media (max-width: 1199px) {
}

/* Small Screens (max-width: 992px) */
@media (max-width: 992px) {
}

/* Mobile Screens (max-width: 768px) */
@media (max-width: 768px) {
  .single-post .small-container {
    width: 100%;
    padding-left: 0px;
    padding-right: 0px;
  }
  .single-post .post {
    padding-top: 120px;
    padding-left: 24px; /* Adjust padding for larger screens */
    padding-right: 24px; /* Adjust padding for larger screens */
  }

  .related-post-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr); /* One column for mobile screens */
    gap: 24px;
  }

  .related-post-grid .post-item img {
    height: 240px;
  }

  .related-post-grid .post-item .post-title {
    margin-bottom: 4px !important;
  }

  .related-post-grid .post-date {
    margin-top: 4px !important;
  }
}
